# Uses of Class
org.eclipse.jface.bindings.keys.KeySequence

Packages that use KeySequence
Package
Description
org.eclipse.jface.bindings.keys
Provides support for bindings between commands and keys.
org.eclipse.jface.bindings.keys.formatting
Provides support for formatting key sequences.
org.eclipse.jface.text.contentassist
Provides a content assist add-on for an `ITextViewer`.
org.eclipse.ui.keys
Provides support for integrating keys into the Eclipse workbench.

## Uses of KeySequence in org.eclipse.jface.bindings.keys

Methods in org.eclipse.jface.bindings.keys that return KeySequence
Modifier and Type
Method
Description
`static final KeySequence`
KeySequence.`getInstance()`
Gets an instance of `KeySequence`.
`static final KeySequence`
KeySequence.`getInstance(String string)`
Creates an instance of `KeySequence` by parsing a given formal string representation.
`static final KeySequence`
KeySequence.`getInstance(List<KeyStroke> keyStrokes)`
Creates an instance of `KeySequence` given a list of key strokes.
`static final KeySequence`
KeySequence.`getInstance(KeySequence keySequence, KeyStroke keyStroke)`
Creates an instance of `KeySequence` given a key sequence and a key stroke.
`static final KeySequence`
KeySequence.`getInstance(KeyStroke keyStroke)`
Creates an instance of `KeySequence` given a single key stroke.
`static final KeySequence`
KeySequence.`getInstance(KeyStroke[] keyStrokes)`
Creates an instance of `KeySequence` given an array of key strokes.
`final KeySequence`
KeyBinding.`getKeySequence()`
Returns the key sequence which triggers this binding.
`KeySequence`
KeySequenceText.`getKeySequence()`
An accessor for the `KeySequence` that corresponds to the current state of the text field.
Methods in org.eclipse.jface.bindings.keys with parameters of type KeySequence
Modifier and Type
Method
Description
`protected final void`
KeySequenceText.`firePropertyChangeEvent(KeySequence oldKeySequence)`
Fires a property change event to all of the listeners.
`static final KeySequence`
KeySequence.`getInstance(KeySequence keySequence, KeyStroke keyStroke)`
Creates an instance of `KeySequence` given a key sequence and a key stroke.
`void`
KeySequenceText.`setKeySequence(KeySequence newKeySequence)`
A mutator for the key sequence stored within this widget.
Constructors in org.eclipse.jface.bindings.keys with parameters of type KeySequence
Modifier
Constructor
Description
``
`KeyBinding(KeySequence keySequence, ParameterizedCommand command, String schemeId, String contextId, String locale, String platform, String windowManager, int type)`
Constructs a new instance of `KeyBinding`.

## Uses of KeySequence in org.eclipse.jface.bindings.keys.formatting

Methods in org.eclipse.jface.bindings.keys.formatting with parameters of type KeySequence
Modifier and Type
Method
Description
`String`
AbstractKeyFormatter.`format(KeySequence keySequence)`
`String`
IKeyFormatter.`format(KeySequence keySequence)`
Format the given key sequence into a string.

## Uses of KeySequence in org.eclipse.jface.text.contentassist

Methods in org.eclipse.jface.text.contentassist with parameters of type KeySequence
Modifier and Type
Method
Description
`void`
ContentAssistant.`setRepeatedInvocationTrigger(KeySequence sequence)`
`void`
IContentAssistantExtension3.`setRepeatedInvocationTrigger(KeySequence sequence)`
Sets the key sequence to listen for in repeated invocation mode.

## Uses of KeySequence in org.eclipse.ui.keys

Methods in org.eclipse.ui.keys with parameters of type KeySequence
Modifier and Type
Method
Description
`static KeySequence`
KeySequence.`getInstance(KeySequence newKeySequence)`
Deprecated.
Gets an instance of `KeySequence` given a new-style key sequence.